//-----------------------------------------------------------------------
// <copyright file="GenericEventSubscriber.cs" company="iron9light">
//      Copyright (c) iron9light. All rights reserved.
// </copyright>
// <author>iron9light</author>
//-----------------------------------------------------------------------

namespace Tests.EventBrokerExtension.Configuration.TestObjects
{
    using System;

    public class GenericEventSubscriber<T>
            where T : EventArgs
    {
        private bool hasRun;

        public bool HasRun
        {
            get { return this.hasRun; }
        }

        public void OnRun(object sender, T e)
        {
            this.hasRun = true;
        }
    }
}