//-----------------------------------------------------------------------
// <copyright file="NormalEventPublisher.cs" company="iron9light">
//      Copyright (c) iron9light. All rights reserved.
// </copyright>
// <author>iron9light</author>
//-----------------------------------------------------------------------

namespace Tests.EventBrokerExtension.Configuration.TestObjects
{
    using System;

    public class NormalEventPublisher
    {
        public event EventHandler Run;

        public bool IsSubscribed
        {
            get
            {
                return this.Run != null;
            }
        }

        public void DoRun()
        {
            if (this.Run != null)
            {
                this.Run(this, EventArgs.Empty);
            }
        }
    }
}