//-----------------------------------------------------------------------
// <copyright file="ObjectWithWrongParams.cs" company="iron9light">
//      Copyright (c) iron9light. All rights reserved.
// </copyright>
// <author>iron9light</author>
//-----------------------------------------------------------------------

namespace Tests.EventBrokerExtension.TestObjects
{
    using System;

    internal class ObjectWithWrongParams
    {
        public delegate void EventHandlerWithThreeParams(object sender, EventArgs e, object otherInfo);

        public event Action<EventArgs> EventWithOneParam;

        public event EventHandlerWithThreeParams EventWithThreeParams;

        public void MethodWithOneParam(EventArgs e)
        {
        }

        public void MethodWithThreeParams(object sender, EventArgs e, object otherInfo)
        {
        }
    }

    internal class ObjectWithReturn
    {
        public delegate int EventHandlerWithReturn(object sender, EventArgs e);

        public event EventHandlerWithReturn EventWithReturn;

        public int MethodWithReturn(object sender, EventArgs e)
        {
            return 0;
        }
    }
}