using Microsoft.Practices.ObjectBuilder2;
using Unity.Extensions;
using Xunit;

namespace Unity.Extensions
{
    public class NoInterceptionTypeInterceptionReflectorTest
    {
        [Fact]
        public void ClassWithNoDecorations()
        {
            PolicyList policies = new PolicyList();

            InterceptionReflector.Reflect<object>(policies, new StubObjectFactory());

            Assert.Equal(0, policies.Count);
        }
    }
}