using System;
using System.Reflection;

namespace Unity.Extensions
{
    public class InterfaceInterceptionConfigurationElement : InterceptionConfigurationElement
    {
        public override void Register(IInterceptionConfiguration config,
                                      Type typeToIntercept,
                                      MethodInfo methodInfo,
                                      IInterceptionHandler[] handlers)
        {
            config.InterceptInterface(typeToIntercept, methodInfo, handlers);
        }
    }
}