using System.Collections.Generic;
using System.Reflection;
using Microsoft.Practices.ObjectBuilder2;

namespace Unity.Extensions
{
    public interface IInterceptionPolicy : IBuilderPolicy, IEnumerable<KeyValuePair<MethodBase, List<IInterceptionHandler>>>
    {
        int Count { get; }

        IList<IInterceptionHandler> this[MethodBase method] { get; }

        IEnumerable<MethodBase> Methods { get; }
    }
}