using Microsoft.Practices.ObjectBuilder2;
using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace Microsoft.Practices.Unity.Interception
{
    [TestClass]
    public class NoInterceptionTypeInterceptionReflectorTest
    {
        [TestMethod]
        public void ClassWithNoDecorations()
        {
            PolicyList policies = new PolicyList();

            InterceptionReflector.Reflect<object>(policies, new StubObjectFactory());

            Assert.AreEqual(0, policies.Count);
        }
    }
}