﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Stoplight.Interfaces;
using Microsoft.Practices.SLUnity;

namespace Stoplight.Views.StatusBar
{
    public partial class StatusBarView : UserControl, IStatusBarView
    {
        private StatusBarPresenter _presenter;
        [Dependency]
        public StatusBarPresenter Presenter
        {
            set
            {
                _presenter = value;
                _presenter.View = this;
            }
        }


        public StatusBarView()
        {
            InitializeComponent();
        }

    }
}
