using System.Collections.Generic;

namespace Common.Core.Objects
{
	public class StaticCacheObjectFinder<KeyType,ObjectType> : ObjectFinderBase<KeyType,ObjectType> where ObjectType : class
	{
		readonly IEnumerable<ObjectType> cache;
		public StaticCacheObjectFinder( IEnumerable<ObjectType> cache )
		{
			this.cache = cache;
		}

		protected override IEnumerable<ObjectType> List
		{
			get { return cache; }
		}
	}
}