using System.Configuration;
using Common.Unity.Extensions.Configuration.Configuration;

namespace Common.Unity.Extensions.Configuration.Testing.Objects
{
	class NamedObjectConfigurationElement : ObjectConfigurationElement, INamedObjectConfiguration
	{
		[ConfigurationProperty( ObjectNameName, DefaultValue = null, IsRequired = true, IsKey = false )]
		public string ObjectName
		{
			get { return (string)this[ObjectNameName]; }
		}	const string ObjectNameName = "objectName";

		string INamedObjectConfiguration.Name
		{
			get { return ObjectName; }
		}
	}
}