using System.Diagnostics;
using Microsoft.Practices.Unity;

namespace Common.Unity.Extensions.Configuration.Testing.Objects
{
	class NamedObjectConfigurator : ObjectConfigurator<INamedObject,INamedObjectConfiguration>
	{
		public NamedObjectConfigurator( INamedObjectConfiguration configuration )
			: base( configuration )
		{}

		protected override void PerformConfiguration( INamedObject target )
		{
			target.Name = Configuration.Name;
		}
	}
}