using System.Configuration;
using Common.Unity.Extensions.Configuration.Configuration;

namespace Common.Unity.Extensions.Configuration.Testing.Objects
{
	class SpyPolicyConfigurationElement : ObjectConfigurationElement, ISpyPolicyConfiguration
	{
		[ConfigurationProperty( EnabledName, DefaultValue = false, IsRequired = false, IsKey = false )]
		public bool Enabled
		{
			get { return (bool)this[EnabledName]; }
			set { this[EnabledName] = value; }
		}	const string EnabledName = "enabled";
	}
}