using System;
using System.ComponentModel;
using System.Configuration;
using Microsoft.Practices.EnterpriseLibrary.Common.Configuration;

namespace Common.Unity.Extensions.Configuration.Configuration
{
	class ObjectConfiguratorPolicyConfigurationElement : DependencyReferenceConfigurationElement
	{
		[ConfigurationCollection( typeof(DependencyReferenceConfigurationElement),
			CollectionType = ConfigurationElementCollectionType.AddRemoveClearMap, AddItemName = "objectConfigurator" ),
		 ConfigurationProperty( "", IsDefaultCollection = true )]
		public NamedElementCollection<DependencyReferenceConfigurationElement> Configurators
		{
			get { return (NamedElementCollection<DependencyReferenceConfigurationElement>)this[string.Empty]; }
		}
	}
}