using System.Collections.Generic;

namespace Common.Unity.Extensions.Configuration
{
	class ObjectConfiguratorPolicy : IObjectConfiguratorPolicy
	{
		readonly List<IObjectConfigurator> configurators = new List<IObjectConfigurator>();

		public ObjectConfiguratorPolicy()
		{}

		public ObjectConfiguratorPolicy( IEnumerable<IObjectConfigurator> configurators )
		{
			this.configurators.AddRange( configurators );
		}

		public IList<IObjectConfigurator> Configurators
		{
			get { return configurators; }
		}
	}
}