﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Common.Unity.Extensions.Entity;

namespace NorthwindEFModel
{
	[NewGuidDefaultPropertyValue( "RemoteID" )]
	[DefaultPropertyValue( "Added", "6/7/8" )]
	[DefaultPropertyValue( "CompanyName", "<New Supplier>" )]
	[CurrentTimeDefaultPropertyValue( "Created" )]
	[DependencyDefaultPropertyValue( "FeaturedProduct",	BuildKeyName = "NewProduct" )]
	partial class Supplier
	{
		public Guid RemoteID { get; set; }

		public DateTime Added { get; set; }

		public Product FeaturedProduct { get; set; }
		public Product BackupFeaturedProduct { get; set; }

		public DateTime Created { get; set; }
	}
}
