using System;
using System.Windows.Markup;
using Microsoft.Practices.Unity;

namespace Common.Unity.Configuration
{
	[ContentProperty( "Instance" )]
	public class InstanceValue : InjectionParameterValue
	{
		public Type Type { get; set; }

		public object Instance { get; set; }

		public override Microsoft.Practices.Unity.InjectionParameterValue Create( Type targetType )
		{
			var result = new InjectionParameter( Instance );
			return result;
		}
	}
}