//-----------------------------------------------------------------------
// <copyright file="IEventBrokerConfiguration.cs" company="iron9light">
//      Copyright (c) iron9light. All rights reserved.
// </copyright>
// <author>iron9light</author>
//-----------------------------------------------------------------------

namespace EventBrokerExtension
{
    using EventBroker;

    using Microsoft.Practices.Unity;

    /// <summary>
    /// The event broker configuration.
    /// </summary>
    public interface IEventBrokerConfiguration : IUnityContainerExtensionConfigurator
    {
        /// <summary>
        /// Gets the event broker.
        /// </summary>
        /// <value>The event broker.</value>
        IEventBroker EventBroker { get; }
    }
}