//-----------------------------------------------------------------------
// <copyright file="GenericObject.cs" company="iron9light">
//      Copyright (c) iron9light. All rights reserved.
// </copyright>
// <author>iron9light</author>
//-----------------------------------------------------------------------

namespace Tests.EventBrokerExtension.TestObjects
{
    using System;

    using global::EventBrokerExtension;

    internal class GenericObject<T>
            where T : EventArgs
    {
        [Publishes("run")]
        public event EventHandler<T> Run;

        [SubscribesTo("run")]
        public void OnRun(object sender, T e)
        {
            // Do nothing.
        }
    }
}