﻿using Microsoft.Practices.SLUnity;

namespace Stoplight.Base
{
    public class ServiceBase
    {
        private IEventAggregator _aggregator;

        [Dependency]
        public ILoggerFacade Logger { get; set; }

        [Dependency]
        public IEventAggregator EventAggregator
        {
            get { return _aggregator; }
            set
            {
                _aggregator = value;
                OnEventAggregatorSet();
            }
        }

        protected virtual void OnEventAggregatorSet(){}



    }
}
