﻿using System;
using System.Collections.Generic;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Media;
using Microsoft.Practices.SLUnity;
using System.ComponentModel;

namespace StopLight {
    public partial class StoplightView : UserControl, IStoplightView {

        private StoplightPresenter _presenter;

        public StoplightView() 
        {
            InitializeComponent();
        }

        [Dependency]
        public StoplightPresenter Presenter {
            set {
                _presenter = value;
                _presenter.View = this;
            }
        }

        private void ButtonClick(object sender, RoutedEventArgs e)
        {
            _presenter.ButtonClick(sender, e);
        }

    }
}
