﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Xml;

namespace Microsoft.Practices.SLUnity.Configuration
{
    public abstract class ConfigurationElement
    {
        //protected internal object this[ConfigurationProperty prop] { get; set; }
        protected internal object this[string propertyName] { 
            get{
                return string.Empty;
            }
            set{
           }
        }

        protected virtual bool OnDeserializeUnrecognizedAttribute(string name, string value) {
            return true;
        }
        protected virtual bool OnDeserializeUnrecognizedElement(string elementName, XmlReader reader) {
            return true;
        }
        protected internal virtual void DeserializeElement(XmlReader reader, bool serializeCollectionKey) { }
    }

}
