using System;
using System.Collections.Generic;
using System.Configuration;
using System.Text;
using Microsoft.Practices.EnterpriseLibrary.Common.Configuration;

namespace Common.Core.Testing
{
	class PlainSettings : SerializableConfigurationSection
	{
		internal const string Name = "plainSettings";

		[ConfigurationProperty( TestPropertyName, DefaultValue = null, IsRequired = false, IsKey = false )]
		internal string TestProperty
		{
			get { return (string)this[TestPropertyName]; }
		}	const string TestPropertyName = "testProperty";
	}
}
