using System;
using System.Collections.Generic;
using System.Configuration;
using System.Text;
using Common.Core.Configuration;
using Microsoft.Practices.EnterpriseLibrary.Common.Configuration;

namespace Common.Core.Testing
{
	[ConfigurationSettingsName( Settings.Name )]
	class Settings : SerializableConfigurationSection
	{
		const string Name = "settings";

		[ConfigurationProperty( TestPropertyName, DefaultValue = null, IsRequired = false, IsKey = false )]
		internal string TestProperty
		{
			get { return (string)this[TestPropertyName]; }
		}	const string TestPropertyName = "testProperty";
	}
}
