using System;
using System.ComponentModel;
using System.Configuration;
using Microsoft.Practices.EnterpriseLibrary.Common.Configuration;

namespace Common.Core.Configuration
{
	class ConfigurationTargetSettings : NameTypeConfigurationElement
	{
		[ConfigurationProperty( TargetConfigurationTypeName, DefaultValue = null, IsRequired = true, IsKey = false ), TypeConverter( typeof(TypeNameConverter) )]
		public Type TargetConfigurationType
		{
			get { return (Type)this[TargetConfigurationTypeName]; }
		}	const string TargetConfigurationTypeName = "targetConfigurationType";
	}
}