﻿using System.Configuration;
using Microsoft.Practices.EnterpriseLibrary.Common.Configuration;

namespace Common.Core.Configuration
{
	[ConfigurationSettingsName( Settings.Name )]
	class Settings : SerializableConfigurationSection
	{
		const string Name = "coreConfiguration";

		[ConfigurationCollection( typeof(ConfigurationTargetSettings),
			CollectionType = ConfigurationElementCollectionType.AddRemoveClearMap ),
		 ConfigurationProperty( ConfigurationTargetMappingsName, IsDefaultCollection = false )]
		public NamedElementCollection<ConfigurationTargetSettings> ConfigurationTargetMappings
		{
			get { return (NamedElementCollection<ConfigurationTargetSettings>)this[ConfigurationTargetMappingsName]; }
		}	const string ConfigurationTargetMappingsName = "targetConfigurationMappings";
	}
}
