using System;

namespace Common.Core.Objects
{
	public class ObjectCreatedEventArgs<ObjectType> : EventArgs
	{
		readonly ObjectType result;

		public ObjectCreatedEventArgs( ObjectType result )
		{
			this.result = result;
		}

		public ObjectType Result
		{
			get { return result; }
		}
	}
}