using System;

namespace Common.Core.Objects
{
	public class ObjectCreatingEventArgs<SourceType,ObjectType> : EventArgs
	{
		readonly SourceType source;

		public ObjectCreatingEventArgs( SourceType source )
		{
			this.source = source;
		}

		public SourceType Source
		{
			get { return source; }
		}

		public ObjectType Result { get; set; }
	}
}