namespace Common.Core.Objects
{
	public class ObjectResolvedEventArgs<ObjectType> : ObjectCreatingEventArgs<object,ObjectType>
	{
		readonly ObjectType target;

		public ObjectResolvedEventArgs( object source, ObjectType target ) : base( source )
		{
			this.target = target;
		}

		public ObjectType Target
		{
			get { return target; }
		}
	}
}