namespace Common.Unity.Extensions.Configuration.Testing.Objects
{
	class NamedObjectAlternateConfigurator : ObjectConfigurator<INamedObject,INamedObjectConfiguration>
	{
		public NamedObjectAlternateConfigurator( INamedObjectConfiguration configuration )
			: base( configuration )
		{}

		protected override void PerformConfiguration( INamedObject target )
		{
			target.Name = string.Format( "{0} with Alternate", Configuration.Name );
		}
	}
}