namespace Common.Unity.Extensions.Configuration
{
	public interface IObjectConfigurator
	{
		void Configure( object target );
	}

	public interface IObjectConfigurator<ConfigurationType> : IObjectConfigurator
	{
		ConfigurationType Configuration { get; }
	}
}