using Common.Unity.Extensions.PropertyMapper.Policies;
using Microsoft.Practices.ObjectBuilder2;

namespace Common.Unity.Extensions.PropertyMapper.Policies
{
	public class PropertyMappingContextPolicy : IPropertyMappingContextPolicy
	{
		readonly PropertyMappingContext context;

		public PropertyMappingContextPolicy( PropertyMappingContext context )
		{
			Guard.ArgumentNotNull( context, "context" );
			this.context = context;
		}

		public PropertyMappingContext Context
		{
			get { return context; }
		}
	}
}