using System;
using Microsoft.Practices.Unity;

namespace Common.Unity.Configuration
{
	public class DependencyValue : InjectionParameterValue
	{
		public string BuildName { get; set; }
		public Type Type { get; set; }

		public override Microsoft.Practices.Unity.InjectionParameterValue Create( Type targetType )
		{
			var result = new ResolvedParameter( Type, BuildName );
			return result;
		}
	}
}