using System;
using System.IO;

namespace Testing.Core
{
	public static class TestPathing
	{
		public static string ResolveAssetPath( Type type )
		{
			return ResolveAssetPath( type.Name );
		}

		public static string ResolveAssetPath( string name )
		{
			return ResolveAssetPath( name, "xml" );
		}

		public static string ResolveAssetPath( string name, string extension )
		{
			return Path.GetFullPath( string.Format( @".\{0}.{1}", name, extension ) );
		}
	}
}